/*****************************************************************************
* checkbrute Checksum Bruteforcing Tool
* Copyright (C) 2020 Syping
*
* Redistribution and use in source and binary forms, with or without modification,
* are permitted provided that the following conditions are met:
*
* 1. Redistributions of source code must retain the above copyright notice,
* this list of conditions and the following disclaimer.
*
* 2. Redistributions in binary form must reproduce the above copyright notice,
* this list of conditions and the following disclaimer in the documentation
* and/or other materials provided with the distribution.
*
* This software is provided as-is, no warranties are given to you, we are not
* responsible for anything with use of the software, you are self responsible.
*****************************************************************************/

#ifndef BRUTETHREAD_H
#define BRUTETHREAD_H

#include <QThread>
#include <QObject>
#include "checksum.h"

struct brutelength
{
    quint64 min;
    quint64 max;
};

class brutethread : public QThread
{
    Q_OBJECT
public:
    explicit brutethread(const QByteArray &fileContent, quint64 length, QVector<checksum*> checksum_vector, QVector<QByteArray> checksums, bool strictMatch);
    void run();

private:
    QVector<checksum*> checksum_vector;
    QVector<QByteArray> checksums;
    QByteArray fileContent;
    bool strictMatch;
    quint64 length;

signals:
    void matched();
};

#endif // BRUTETHREAD_H
